precede.hh File Reference
`#include <gecode/set.hh>`
`#include <gecode/set/precede/single.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Set::Precede::Single< View >
| Single value precedence propagator. More...
class | Gecode::Set::Precede::Single< View >::Index
| Advisors for views (by position in array) More...

## Namespaces

namespace | Gecode::Set::Precede
| Value precedence propagators.
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.